# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.676.14.50 -> 1.676.14.51
#	drivers/char/drm/r128_cce.c	1.7     -> 1.8    
#	drivers/char/drm/radeon_cp.c	1.8     -> 1.9    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/27	yoshfuji@linux-ipv6.org	1.676.2.7
# net/ipv6/addrconf.c: Refine IPv6 Address Validation Timer.
# --------------------------------------------
# 02/09/27	bjorn_helgaas@hp.com	1.676.13.24
# ia64: Add PCI_DMA_BUS_IS_PHYS definition.
# --------------------------------------------
# 02/09/27	schwab@suse.de	1.676.14.51
# Fix DRM compile problem.
# --------------------------------------------
#
diff -Nru a/drivers/char/drm/r128_cce.c b/drivers/char/drm/r128_cce.c
--- a/drivers/char/drm/r128_cce.c	Wed Oct  8 09:09:58 2003
+++ b/drivers/char/drm/r128_cce.c	Wed Oct  8 09:09:58 2003
@@ -655,10 +655,10 @@
 		if ( !dev_priv->is_pci && dev->agp->agp_info.chipset == INTEL_460GX ) {
 			unsigned long alt_rh_off =
 				(unsigned long) dev_priv->ring.head;
+			struct page *p = virt_to_page((void *)alt_rh_off);
 
-			atomic_dec(&virt_to_page(alt_rh_off)->count);
-			clear_bit(PG_locked, &virt_to_page(alt_rh_off)->flags);
-			wake_up(&virt_to_page(alt_rh_off)->wait);
+			put_page(p);
+			unlock_page(p);
 			free_page(alt_rh_off);
 		}
 	
diff -Nru a/drivers/char/drm/radeon_cp.c b/drivers/char/drm/radeon_cp.c
--- a/drivers/char/drm/radeon_cp.c	Wed Oct  8 09:09:58 2003
+++ b/drivers/char/drm/radeon_cp.c	Wed Oct  8 09:09:58 2003
@@ -1014,10 +1014,10 @@
 		if ( !dev_priv->is_pci && dev->agp->agp_info.chipset == INTEL_460GX ) {
 			unsigned long alt_rh_off =
 				(unsigned long) dev_priv->ring.head;
+			struct page *p = virt_to_page((void *)alt_rh_off);
 
-			atomic_dec(&virt_to_page(alt_rh_off)->count);
-			clear_bit(PG_locked, &virt_to_page(alt_rh_off)->flags);
-			wake_up(&virt_to_page(alt_rh_off)->wait);
+			put_page(p);
+			unlock_page(p);
 			free_page(alt_rh_off);
 		}
 	
